# Coveo ResultActionsMenu Component (CoveoResultActionsMenu)

The ResultActionsMenu component adds a floating result action menu, meant to be used inside result templates (see Result Templates). It is designed to contain other components that can execute actions related to the result, typically the Quickview and AttachToCase components, available in the Coveo for Salesforce and Coveo for Dynamics integrations.

    <script type="text/html" class="result-template" [...]
      <div class="coveo-result-frame">
        <div class="CoveoResultActionsMenu">
          <div class="CoveoQuickview"></div>
        </div>
      [...]
    </script>

Available since

  July 2018 Release (v2.4382.10)

## Index

### Methods

- debugInfo
- disable
- enable
- getBindings
- hide
- show
- get

### Properties

- bind
- componentOptionsModel
- componentStateModel
- disabled
- logger
- menuItems
- parentResult
- queryController
- queryStateModel
- root
- searchInterface
- ID

### Accessors

- usageAnalytics

### Component Options

- openOnMouseOver

### Constructors

- constructor

## Methods

### debugInfo

- debugInfo(): any

- Inherited from BaseComponent.debugInfo

  - Defined in ui/Base/BaseComponent.ts :41

  Return the debug info about this component.

  #### Returns any

### disable

- disable(): void

- Inherited from BaseComponent.disable

  - Defined in ui/Base/BaseComponent.ts :52

  Disable the component. Normally this means that the component will not execute handlers for the framework events (query events, for example). Components are enabled by default on creation.

  #### Returns void

### enable

- enable(): void

- Inherited from BaseComponent.enable

  - Defined in ui/Base/BaseComponent.ts :61

  Enable the component. Normally this means that the component will execute handlers for the framework events (query events, for example). Components are enabled by default on creation.

  #### Returns void

### getBindings

- getBindings(): IComponentBindings

- Inherited from Component.getBindings

  - Defined in ui/Base/Component.ts :328

  Return the bindings, or environment, for the current component.

  #### Returns IComponentBindings

### hide

- hide(): void

- - Defined in ui/ResultActions/ResultActionsMenu.ts :101

  Hides the floating menu.

  #### Returns void

### show

- show(): void

- - Defined in ui/ResultActions/ResultActionsMenu.ts :94

  Shows the floating menu.

  #### Returns void

### Static get

- get(element: HTMLElement, componentClass?: any, noThrow?: boolean): BaseComponent

- Inherited from Component.get

  - Defined in ui/Base/Component.ts :410

  Get the bound component to the given HTMLElement. Throws an assert if the HTMLElement has no component bound, unless using the noThrow argument.
  If there is multiple component bound to the current HTMLElement, you must specify the component class.

  #### Parameters

  - ##### element: HTMLElement

    HTMLElement for which to get the bound component.

  - ##### Optional componentClass: any

    Optional component class. If the HTMLElement has multiple components bound, you must specify which one you are targeting.

  - ##### Optional noThrow: boolean

    Boolean option to tell the method to not throw on error.

  #### Returns BaseComponent

## Properties

### bind

bind: ComponentEvents

Inherited from Component.bind

- Defined in ui/Base/Component.ts :270

Allows the component to bind events and execute them only when it is enabled.

type

  {Coveo.ComponentEvents}

### componentOptionsModel

componentOptionsModel: ComponentOptionsModel

Inherited from Component.componentOptionsModel

- Defined in ui/Base/Component.ts :294

Contains the state of options for different components. Mainly used by ResultLink.

### componentStateModel

componentStateModel: ComponentStateModel

Inherited from Component.componentStateModel

- Defined in ui/Base/Component.ts :282

Contains the state of different components (enabled vs disabled). Allows to get/set values. Triggers component state event when modified. Each component can listen to those events.

### disabled

disabled: boolean

Inherited from BaseComponent.disabled

- Defined in ui/Base/BaseComponent.ts :23

A disabled component will not participate in the query, or listen to ComponentEvents.

type

  {boolean}

### logger

logger: Logger

Inherited from BaseComponent.logger

- Defined in ui/Base/BaseComponent.ts :18

Allows component to log in the dev console.

### menuItems

menuItems: HTMLElement[]

- Defined in ui/ResultActions/ResultActionsMenu.ts :66

A list containing menu items for this menu.

### parentResult

parentResult: HTMLElement

- Defined in ui/ResultActions/ResultActionsMenu.ts :61

The rendered result that contains this menu.

### queryController

queryController: QueryController

Inherited from Component.queryController

- Defined in ui/Base/Component.ts :286

Contains the singleton that allows to trigger queries.

### queryStateModel

queryStateModel: QueryStateModel

Inherited from Component.queryStateModel

- Defined in ui/Base/Component.ts :278

Contains the state of the query. Allows to get/set values. Trigger query state event when modified. Each component can listen to those events.

### root

root: HTMLElement

Inherited from Component.root

- Defined in ui/Base/Component.ts :274

A reference to the root HTMLElement (the SearchInterface).

### searchInterface

searchInterface: SearchInterface

Inherited from Component.searchInterface

- Defined in ui/Base/Component.ts :290

A reference to the root of every component, the SearchInterface.

### Static ID

ID: string

Inherited from BaseComponent.ID

- Defined in ui/Base/BaseComponent.ts :28

The static ID that each component needs in order to be identified.
For example, SearchButton -> static ID: SearchButton -> className: CoveoSearchButton

## Accessors

### usageAnalytics

- get (): IAnalyticsClient

- Inherited from Component.usageAnalytics

  - Defined in ui/Base/Component.ts :343

  A reference to the Analytics.client.

  #### Returns IAnalyticsClient

## Component Options

### openOnMouseOver

openOnMouseOver: boolean

- Defined in ui/ResultActions/ResultActionsMenu.ts :55

Specifies whether the menu should open when the user hovers over the result.

When set to false, the menu opens only when clicking on the result.

Default value is `true`.

Default

  `true`

Markup configuration example(s) :

    data-open-on-mouse-over='true'
    data-open-on-mouse-over='false'

## Constructors

### constructor

- new ResultActionsMenu(element: HTMLElement, options: IResultActionsMenuOptions, bindings?: IResultsComponentBindings, result?: IQueryResult): ResultActionsMenu

- Overwrites Component.constructor

  - Defined in ui/ResultActions/ResultActionsMenu.ts :66

  Creates a new `ResultActionsMenu` component.

  #### Parameters

  - ##### element: HTMLElement

    The HTMLElement on which to instantiate the component.

  - ##### options: IResultActionsMenuOptions

    The options for the `ResultActionsMenu` component.

  - ##### Optional bindings: IResultsComponentBindings

    The bindings that the component requires to function normally. If not set, these will be automatically resolved (with a slower execution time).

  - ##### Optional result: IQueryResult

    The result to associate the component with.

  #### Returns ResultActionsMenu